Subject: .AppleDouble/.Parent files

From: Lorenzo Perone <[email-masked]>
Date: Wed, 13 Jun 2001 21:19:50 +0200

Hi all,

I have a question on the .Parent files that netatalk creates within the .AppleDouble folders.

My shares have the rights 2771 on directories, and 0660 on files. 

Recently I run a find script to check whether all rights were OK, and discovered that a lot of  .AppleDouble/.Parent files were not 660 but mostly 640 or even 620. The script chmodded them back to 660, but I don't know exactly what these .Parent files contain and who should access them in a group-based filesharing tree (it feels like they contain some of the HFS folder flags...).

Why are .Parent files being created with a different umask than 'regular' files?
Is this a bug - or can it lead to problems, on OS9 or on OSX?

Just in case someone knows some more about it.

I'm using asun2.1.4_pre37_test/SuSE/LinuxPPC and asun2.1.4_pre39_test/SuSE.
This .Parent stuff happened on all of them.

Notes:
My shares filesystems have been 'threatened' by different versions of netatalk - and by switches between sourceforge/asun trees. 
So it could be that one version was doing this, and it went unobserved until now.

:-)

Lorenzo